%define __cmake3 %{nil}

Name:           phonon-qt4
Version:        4.10.3
Release:        2
License:        LGPLv2+
Summary:        Multimedia library
URL:            http://phonon.kde.org/
Source0:        http://download.kde.org/stable/phonon/%{version}/phonon-%{version}.tar.xz
BuildRequires:  automoc4 >= 0.9.86 cmake >= 2.8.9 extra-cmake-modules kf5-rpm-macros kde-filesystem
BuildRequires:  pkgconfig pkgconfig(glib-2.0) pkgconfig(libpulse-mainloop-glib) > 0.9.15 pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(QtDBus) pkgconfig(QtDesigner) pkgconfig(QtOpenGL)
BuildRequires:  kde4-filesystem
Requires:       kde-filesystem
%{?_qt4:Requires: %{_qt4} >= %{_qt4_version}}
Provides:       phonon-experimental = %{version}-%{release}

Patch0001:      phonon-rpath_use_link_path.patch
Patch0002:      phonon-DEFAULT_SOURCE.patch

%description
Phonon provides a Qt-style interface for audio and video.It is aimed at
the average desktop application, whether that is a game that needs sound
effects or a full-blown multimedia playback application like Amarok or Bangarang.

%package        devel
Summary:        Developer files for phonon
Requires:       phonon-qt4 = %{version}-%{release}
Provides:       phonon-experimental-devel = %{version}-%{release}

%description    devel
Developer files for phonon.

%prep
%autosetup -n phonon-%{version} -p1

%build
mkdir %{_target_platform}
cd %{_target_platform}
%{cmake} .. -DCMAKE_BUILD_TYPE:STRING="Release" %{!?zeitgeist:-DCMAKE_DISABLE_FIND_PACKAGE_QZeitgeist:BOOL=ON} \
            -DPHONON_BUILD_DECLARATIVE_PLUGIN:BOOL=OFF -DPHONON_INSTALL_QT_COMPAT_HEADERS:BOOL=ON \
            -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON
cd -
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}
install -d %{buildroot}%{_kde4_libdir}/kde4/plugins/phonon_backend/
install -d %{buildroot}%{_kde4_datadir}/kde4/services/phononbackends/
install -d %{buildroot}%{_qt5_plugindir}/phonon4qt5_backend

%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion phonon)" = "%{version}"

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%pretrans devel -p <lua>
path = "%{_includedir}/phonon/Phonon"
st = posix.stat(path)
if st and st.type == "link" then
    os.remove(path)
end

%files
%doc COPYING.LIB
%{_libdir}/{libphonon.so.4*,libphononexperimental.so.4*}
%{_qt4_plugindir}/designer/libphononwidgets.so
%dir %{_datadir}/phonon/
%dir %{_kde4_libdir}/kde4/plugins/phonon_backend/
%dir %{_kde4_datadir}/kde4/services/phononbackends/

%files devel
%{_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml
%{_datadir}/phonon/buildsystem/
%{_libdir}/cmake/phonon/
%{_includedir}/KDE/Phonon/
%{_includedir}/phonon/
%{_libdir}/pkgconfig/phonon.pc
%{_libdir}/*.so
%{_qt4_datadir}/mkspecs/modules/qt_phonon.pri
%exclude %{_libdir}/libphonon4qt5.so
%exclude %{_libdir}/libphonon4qt5experimental.so

%changelog
* Thu Jan 18 2024 misaka00251 <liuxin@iscas.ac.cn> - 4.10.3-2
- Fix build error

* Mon Nov 28 2022 misaka00251 <liuxin@iscas.ac.cn> - 4.10.3-1
- Split package from phonon & upgrade to 4.10.3
